version: '3.7'

services:
  server:
    build: .
    ports:
      - 3000:3000
    volumes:
      - deps:/usr/src/app/node_modules
      - ./:/usr/src/app
    depends_on:
      - cache
      - broker
    environment:
      BROKER_URL: nats://broker:4222
      BROKER_CLUSTER_ID: broker
      CACHE_URL: mongodb://cache:27017
      DB_NAME: devdb

  cache:
    image: mongo:4.2.6-bionic

  broker:
    image: nats-streaming:0.17.0-linux
    command: --cluster_id broker -m 8222 --store FILE --dir /usr/src/app/broker
    volumes:
      - dlake:/usr/src/app/broker
    ports:
      - 8222:8222
    depends_on:
      - cache

volumes:
  deps:
  dlake:
